

const useDistStore = defineStore(
  'dist',
  {
    state: () => ({
      deviceDist: [
        {
          id: '1',

          name: '白鲟 LD-SA(AAO/AO)',
          waterList: [{
            id: '1',
            value: '2'
          }, {
            id: '2',
            value: '3'
          }, {
            id: '3',
            value: '4'
          }]
        },
        {
          id: '2',
          name: '白鲟 LD-SB(AAO)',
          waterList: [{
            id: '1',
            value: '5'
          }, {
            id: '2',
            value: '6'
          }, {
            id: '3',
            value: '8'
          }, {
            id: '4',
            value: '10'
          }, {
            id: '5',
            value: '15'
          }, {
            id: '6',
            value: '20'
          }, {
            id: '7',
            value: '25'
          }, {
            id: '8',
            value: '30'
          }, {
            id: '9',
            value: '35'
          }, {
            id: '10',
            value: '40'
          }, {
            id: '11',
            value: '45'
          }, {
            id: '12',
            value: '50'
          }, {
            id: '13',
            value: '60'
          }, {
            id: '14',
            value: '70'
          }, {
            id: '15',
            value: '80'
          }, {
            id: '16',
            value: '90'
          }, {
            id: '17',
            value: '100'
          }]
        },
        {
          id: '3',
          name: '白鲟 LD-SC（AO）',
          waterList: [{
            id: '0',
            value: '4'
          },{
            id: '1',
            value: '5'
          }, {
            id: '2',
            value: '6'
          }, {
            id: '3',
            value: '8'
          }, {
            id: '4',
            value: '10'
          }, {
            id: '5',
            value: '15'
          }, {
            id: '6',
            value: '20'
          }, {
            id: '7',
            value: '25'
          }, {
            id: '8',
            value: '30'
          }, {
            id: '9',
            value: '35'
          }, {
            id: '10',
            value: '40'
          }, {
            id: '11',
            value: '45'
          }, {
            id: '12',
            value: '50'
          }, {
            id: '13',
            value: '60'
          }, {
            id: '14',
            value: '70'
          }, {
            id: '15',
            value: '80'
          }, {
            id: '16',
            value: '90'
          }, {
            id: '17',
            value: '100'
          }]
        },
        {
          id: '4',
          name: 'LD-SMBR',
          waterList: [{
            id: '1',
            value: '5'
          }, {
            id: '4',
            value: '10'
          }, {
            id: '6',
            value: '20'
          }, {
            id: '7',
            value: '25'
          }, {
            id: '8',
            value: '30'
          }, {
            id: '9',
            value: '35'
          },{
            id: '12',
            value: '50'
          }, {
            id: '17',
            value: '100'
          }, {
            id: '18',
            value: '150'
          }, {
            id: '19',
            value: '200'
          }, {
            id: '20',
            value: '300'
          }, {
            id: '21',
            value: '450'
          }, {
            id: '22',
            value: '500'
          }, {
            id: '23',
            value: '600'
          }, {
            id: '24',
            value: '750'
          }, {
            id: '25',
            value: '900'
          }, {
            id: '26',
            value: '1050'
          }]
        },
        {
          id: '5',
          name: 'LD-JM',
          waterList: [{
            id: '1',
            value: '100'
          }, {
            id: '2',
            value: '200'
          }, {
            id: '3',
            value: '300'
          }]
        },


      ],
      standard:[{
        id:'1',
        name:'国标一级A'
      },{
        id:'2',
        name:'国标一级B/江苏省标A'
      },{
        id:'3',
        name:'江苏省标一级B/省标二级'
      },{
        id:'4',
        name:'国标/省标二级 接管标准'
      }]
    }),
    actions:{
      getDistDevices(){
        return this.deviceDist
      }
    }
  }
)

export default useDistStore
